<?php
/**
 * @file
 *   Sort.php
 *
 * @author: marand
 *
 * @license General Public License version 2 or later
 */

namespace OSInet\Sort;


abstract class Sort implements SortInterface {
  /**
   * {@inheritdoc}
   */
  public static function create($type) {
    $namespace = __NAMESPACE__;
    $class = $namespace . '\\' . ucfirst($type) . "Sort";
    $ret = class_exists($class, true) ? new $class() : false;
    return $ret;
  }
}